import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Random;
import java.util.logging.ConsoleHandler;
import java.util.logging.Level;
import java.util.logging.LogManager;
import java.util.logging.Logger;
import java.net.InetAddress;

import javax.jmdns.JmDNS;
import javax.jmdns.ServiceInfo;

public class HttpServer8080 {
    public static void main(String[] args) {
      // if(args.length==0){
        // System.out.println(" ajoutez le nom du service...");
        // return;
      // }
        // Activate these lines to see log messages of JmDNS
        boolean log = false; //true;
        if (log) {
            ConsoleHandler handler = new ConsoleHandler();
            handler.setLevel(Level.FINEST);
            for (Enumeration<String> enumerator = LogManager.getLogManager().getLoggerNames(); enumerator.hasMoreElements();) {
                String loggerName = enumerator.nextElement();
                Logger logger = Logger.getLogger(loggerName);
                logger.addHandler(handler);
                logger.setLevel(Level.FINEST);
            }
        }

        try {
        System.out.println("Opening JmDNS...");
//         InetAddress addr = InetAddress.getLocalHost();
//         String hostname = InetAddress.getByName(addr.getHostName()).toString();
//         JmDNS jmdns = JmDNS.create(addr, hostname); 
           JmDNS jmdns = JmDNS.create();
            System.out.println("Opened JmDNS!");
            
            ServiceInfo httpService = ServiceInfo.create("_http._tcp.local.", "HTTP_Service", 8080, "Un serveur web en 8080");
            //ServiceInfo httpService = ServiceInfo.create("_nsy102._tcp.local.", args[0], 8080, "Un serveur web en 8080");
            jmdns.registerService(httpService);

            System.out.println("\nRegistered Service as " + httpService);
            System.out.println("Press q and Enter, to quit");
             int b;
            while ((b = System.in.read()) != -1 && (char) b != 'q') {
                /* Stub */
            }
            System.out.println("Closing JmDNS...");
            jmdns.unregisterService(httpService);
            jmdns.unregisterAllServices();
            jmdns.close();
            System.out.println("Done!");
            System.exit(0);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
